Name:		hdapsd	
Version:	20090401
Release:	11%{?dist}
Summary:	Protects hard drives by parking head when fall is detected

Group:		Applications/System
License:	GPLv2+
URL:		http://hdaps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hdaps/hdapsd-%{version}.tar.gz
Source3:	99-hdapsd.rules.systemd
Source4:	hdapsd@.service
Requires:	systemd-units
BuildRequires:	systemd-units

%description

This is a disk protection user-space daemon. It monitors the acceleration
values through the HDAPS/AMS interfaces and automatically initiates disk head
parking if a fall or sliding of the laptop is detected.

HDAPS is typically found in ThinkPad laptops and AMS in Apple laptops.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
mkdir -p %{buildroot}%{_unitdir}
cp -p %SOURCE3 %{buildroot}%{_sysconfdir}/udev/rules.d/99-hdapsd.rules
cp -p %SOURCE4 %{buildroot}%{_unitdir}
# remove docs installed by "make install", will be installed in proper dir by %doc
rm -rf %{buildroot}%{_defaultdocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-hdapsd.rules
%{_unitdir}/hdapsd@.service
%{_mandir}/man8/hdapsd.8.gz
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

# dropped sysconfig file
# TODO: proper udev rule location

* Fri Feb 03 2012 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-10
- spec cleanup:
  - remove BuildRoot define and it's removal from clean
  - use _unitdir macro introduced in the meantime
  - drop upstart event files
- remove StandardOutput=syslog from unit file

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090401-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 9 2011 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-7
- remove bad parentheses in ExecStart= line of systemd unit def
  (thanks Alexandre Silva Lopes, #667073)

* Sat Jul 17 2010 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-6
- provide systemd service definition
- resurrect udev rule for systemd interaction

* Mon Dec 07 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-5
- port initscript file to upstart 0.6, removing custom udev rule

* Fri Sep 04 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-4
- use version macro in in Source0, as per review suggestion (#505928 #9)

* Tue Jun 21 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-3
- fixes from review: URL source, proper build root macro
- minor cleanup of event file

* Sun Jun 17 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-2
- mark upstart event file and udev rule as config files

* Sun Jun 14 2009 Tomasz Torcz <ttorcz@fedoraproject.org> 20090401-1
- initial version
